> ## Documentation Index
> Fetch the complete documentation index at: https://docs.axle.insure/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute Policy Action

> Execute an action on a policy on behalf of your user. Once submitted, Axle will process the request.

For more details on supported operations and error codes, see the [Policy Actions](/guides/policy-actions) guide.



## OpenAPI

````yaml POST /policies/{policyId}/actions
openapi: 3.0.0
info:
  title: Axle API
  contact: {}
  version: '0.1'
servers:
  - description: Sandbox
    url: https://sandbox.axle.insure
  - description: Production
    url: https://api.axle.insure
    variables: {}
security:
  - ApiKeyAuth: []
paths:
  /policies/{policyId}/actions:
    parameters:
      - name: policyId
        in: path
        required: true
        schema:
          type: string
        description: The unique ID for the policy to execute the action on.
    post:
      tags:
        - Policies
      summary: Execute Policy Action
      description: >-
        Execute an action on a policy on behalf of your user. Once submitted,
        Axle will process the request.


        For more details on supported operations and error codes, see the
        [Policy Actions](/guides/policy-actions) guide.
      operationId: ExecutePolicyAction
      parameters:
        - $ref: '#/components/parameters/x-client-id'
        - $ref: '#/components/parameters/x-destination-client-id'
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
              required:
                - operation
              properties:
                operation:
                  type: string
                  description: The policy action operation to execute.
                  enum:
                    - request-primary-lienholder
        required: true
      responses:
        '200':
          description: The policy action was successfully created and is being processed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    $ref: '#/components/schemas/Success'
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        description: The ID of the created policy action.
                        example: pla_mZj6YGXhQyQnccN97aXbq
        '400':
          description: The request is invalid. See the error message for details.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errorCode:
                    type: string
                    description: A machine-readable code identifying the error.
                    example: policy-action-not-supported
                  message:
                    type: string
                    description: A human-readable description of the error.
                    example: >-
                      Policy action "request-primary-lienholder" is not
                      supported for this policy.
        '500':
          description: An unexpected server error occurred.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  errorCode:
                    type: string
                    example: default
                  message:
                    type: string
                    example: Oops something went wrong. Please try again later.
      deprecated: false
components:
  parameters:
    x-client-id:
      name: x-client-id
      in: header
      required: true
      schema:
        type: string
      description: Your client ID. This will be shared with you during onboarding.
    x-destination-client-id:
      name: x-destination-client-id
      in: header
      required: false
      schema:
        type: string
      description: >-
        The client ID of the destination client. This is optional and only used
        by platform clients. See the [Axle for
        Platforms](/guides/platform-integration) guide for more information.
  schemas:
    Success:
      title: Success
      type: boolean
      description: Indicates whether the operation was performed successfully.
      x-internal: false
      example: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-client-secret
      description: >-
        Your secret API key. This will be shared with you during onboarding and
        should be considered sensitive - it’s a password after all! Your secret
        will be matched with your client ID to authenticate your requests.

````